<?
ob_start();
session_start();
if(isset($_SESSION['ses_name']))
{
$user=$_SESSION['ses_name'];
}else{
header("location:index.php");
}
$tyrenum_veh='';

include("include/config.php");
require_once "include/Database_functions.php";
$sqlObj=new sqlclass();




 

$error = "";


	if(isset($_POST['banksubmit'])){
		
		$vehicle_or_others_rad = $_POST['vehicle_or_others_rad'];
		$description = $_POST['description'];
		$set = " ";
		if(isset($_FILES['imageUp']) && $_FILES['imageUp']['name']!="") {
			
			
			$validExtensions = array("jpeg","jpg","png");
			$fileOldName = $_FILES['imageUp']['name'];
			$location = $_FILES['imageUp']['tmp_name'];
			$extension = end(explode(".",$fileOldName));
			if(in_array($extension,$validExtensions))
			{
				$newName = rand().rand().".".$extension;
				move_uploaded_file($location,"up/".$newName);
				$set = " , image='$newName' ";
			}
			else {
				$error =  "invalid file type";
				header("Location:upload_file_list.php");
			}
			
		}	
		$id = $_POST['hiddenid'];
			if($vehicle_or_others_rad=="0")
			{
				$vehicle_id = $_POST['chooseVehicle'];	
				$query = "update tbl_upload_file set vehicle_others = $vehicle_or_others_rad ,vehicle_id = '$vehicle_id',description = '$description' $set where id=$id ";
			}
			else {
				 $query = "update tbl_upload_file set vehicle_others = $vehicle_or_others_rad , vehicle_id = '' , description = '$description' $set where id=$id ";
			}
			
			mysql_query($query);
			
			//echo "<script>alert('Added');</script>";
			header("Location:upload_file_list.php");
		}
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>OIL FILL</title>
<link href="css/styles.css" rel="stylesheet"  />
<link type="text/css" href="css_date/ui-lightness/jquery-ui-1.7.2.custom.css" rel="stylesheet" />
<script type="text/javascript" src="scripts_date/jquery.js"></script>
<script type="text/javascript" src="scripts_date/jquery-calendar-1.7.2.js"></script>




<script type="text/javascript">
<!--
function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}
function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
//-->


</script>


<style>
.lableentrytext{
font-size: 12px;
color: #505050;
clear: both;
margin-bottom: 5px;
text-transform: capitalize;
}
</style>
</head>

<body>
<div class="wrapper">
  <div>
<?php 
	include("header.php");
?>
 
</div>
 
 
 <div class="tabbedArea">
  
  <div class="tabBody">
   <h1>Add Files</h1>
   <form name="addNewForm" enctype='multipart/form-data' method="post" action="edit_upload_file.php">
   
   <div class="addEmp" style="margin-bottom:0px; border-bottom:0px solid;width:1000px;">
        <table width="40%" border="0" cellspacing="20" cellpadding="10">
          <tr>
		  	<?php 
				$res = mysql_query("select * from tbl_upload_file where id = ".$_GET['edit_id']);
				$item = mysql_fetch_array($res);
				$vehicles = mysql_query("select * from cf_vehicle");
			?>
				<td>
					Vehicle / others 
				</td>
				<td> 
					<label>Vehicle <input type='radio' id='vehicle_rad' <?php if($item["vehicle_others"]=="0") echo "checked"; ?> value='0' name='vehicle_or_others_rad'></label>
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<label>Others <input type='radio' id='others_rad'  <?php if($item["vehicle_others"]=="1") echo "checked"; ?> value='1' name='vehicle_or_others_rad'></label>
				</td>
			</tr>
		
			<tr <?php if($item['vehicle_others']!="0") echo " style='display:none;' " ?>id='vehicleChooseRow'>
				<td>
					Choose Vehicle 
				</td>
				<td> 
					<input type='hidden' value='<?php echo $_GET['edit_id'];?>' name='hiddenid'>
					<select class='input1 input3' id='chooseVehicle' name='chooseVehicle'>
						<option value='-1'> Choose Vehicle </option>
						<?php 
							while($row=mysql_fetch_array($vehicles))
							{
						?>
						<option <?php if( $item["vehicle_id"]==$row['id']) echo "selected" ?> value='<?php echo $row['id'];?>'> <?php echo $row['vehiclenum'];?> </option>
						<?php 
							}
						?>
				</td>
			
			</tr>
			<tr>
				<td> Description </td>
				<td>
					<textarea name='description' id='description' class='input1 input3'><?php echo $item['description'];?></textarea>
				</td>
			</tr>
			
			<tr>
				<td> Image </td>
				<td>
					<input type='file' name='imageUp' id='imageUp' class='input1 input3'>
				</td>
				<td>
					<img width="50px" height="50px"  style='border:solid 1px black;' src='up/<?php echo $item["image"];?>'>
				</td>
			</tr>	
			
           <tr>
            <td colspan="2"><div class="searchField1">
        

     <input name="banksubmit" type="submit" class="input1" value="Save" />
    

         <input type="button" class="input1" value="Cancel" >
        </div>
        </td>
          </tr>
        </table>
 

 
 <?php 
 
 echo $error;
 
 ?>
 
 
<div class="mand"><p>Fields marked <span style="color:#FF3300">*</span> are Mandatory</p></div>
</div>
   </form>
   </div>
 </div>
 <div class="footer"><p>Powered by <a href="http://www.aadhocc.co.uk/" target="_blank">Aadhocc</a></p></div>
 
</div>
<div class="quicLInksCover">
 <?php 
	include("leftlink.php");
?>


<script>

$(document).ready(function(){
	
	
	$("[name='vehicle_or_others_rad']").click(function(){
		
		if($(this).val()==0) {
			
			$("#vehicleChooseRow").show();
		}
		else 
			$("#vehicleChooseRow").hide();
		
	});
	
});



</script>

</div>
</body>
</html>


		






